# Managed Tensor Database

## Overview of Deep Lake's Managed Tensor Database

#### Deep Lake offers a serverless Managed Tensor Database to eliminate the complexities of self-hosting and substantially lowers costs. Currently, it only supports dataset queries, including vector search, but additional features for creating and modifying data being added.

### User Interfaces

#### LangChain and LlamaIndex

No changes are needed from the user to use the Managed Tensor Database in LangChain or LlamaIndex, since all of the methods automatically route request to the Managed Database when needed.

The only requirement it to specify that the Vector Store should be stored in the Managed Database by specifying `dataset_path = hub://org_id/dataset_name` and `runtime = {"tensor_db": True}` during Vector Store creation.

#### REST API

A standalone REST API is available for interacting with the Managed Database:

{% content-ref url="/pages/EFhS3VUnKNCglRk6PJbX" %}
[REST API](/v3.7.2/performance-features/managed-database/rest-api.md)
{% endcontent-ref %}

### Architecture

The Managed Tensor Database is serverless and can deployed in the user's VPC.&#x20;

DETAILS COMING SOON

### Further Information:

{% content-ref url="/pages/w9jWto34Q6bujKmmgXvn" %}
[Migrating Datasets to the Tensor Database](/v3.7.2/performance-features/managed-database/migrating-datasets-to-the-tensor-database.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-v3.activeloop.ai/v3.7.2/performance-features/managed-database.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
